Skip to main content
GET
cURL

Path Parameters

site-id
string
required

site identifier

Query Parameters

year
string
required

the current year of months comparison (example : 2016)

fluid
string
required

possible values : GAS, ELEC

Response

successful response

month
integer<int32>
required

month of the comparison (example 11)

currentYearMonthConsumption
object
previousYearMonthConsumption
object
beginMonthDay
string

begin month day of the comparison period. ISO-8601 format --MM-DD (example --12-01)

endMonthDay
string

end month day of the comparison period. ISO-8601 format --MM-DD (example --12-15)

isFullMonth
boolean

true is if the month is full, false otherwise

energyDifferenceRate
integer

% of energy increase or decrease between the month of the previous year and the month current year (example 7)

totalCostDifferenceRate
integer

% of totalCost increase or decrease between the month of the previous year and the month current year (example -5)